cURL
curl --request GET \
--url https://api.konvoai.com/ai-sessions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.konvoai.com/ai-sessions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.konvoai.com/ai-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"result": [
{
"id": "2eac78c7-ef64-49cb-82f0-7280b555f015",
"workspace_id": "465d610c-43df-4c87-8396-8eb9742122c4",
"feed_id": "6bdda998-40a0-4f61-9e7d-ca7f4879b13d",
"contact_id": "f1349acb-b4d4-4220-b90a-36ef170ddd4a",
"external_user_id": "4915142424351",
"channel": "whatsapp",
"created_at": "2026-02-25T16:46:34.206Z",
"status": {
"session_id": "2eac78c7-ef64-49cb-82f0-7280b555f015",
"completed": true,
"unresolved": false,
"completed_at": "2026-02-25T16:50:00.000Z",
"last_message_date": "2026-02-25T16:49:30.000Z",
"last_updated": "2026-02-25T16:50:00.000Z"
},
"state": {
"session_id": "2eac78c7-ef64-49cb-82f0-7280b555f015",
"type": "CONCIERGE",
"sub_intent_type": "CONCIERGE",
"trail": [
{}
]
},
"messages": [
{
"message_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"session_id": "2eac78c7-ef64-49cb-82f0-7280b555f015",
"initiator_origin": "RECIPIENT",
"message": "Hi, I need help with my order",
"created_at": "2026-02-25T16:46:40.000Z"
}
]
}
]
}{
"error": 123,
"message": "<string>"
}AI Sessions
Get AI Sessions
Get AI conversation sessions with optional messages and state/resolution data
GET
/
ai-sessions
cURL
Authorizations
Query Parameters
Pointer for the current page of the paginated query
The maximum number of results to return, maximum is 200
Filter by sessions created after a certain date
Filter by sessions created before a certain date
Set to true to include the text messages exchanged in each session (tool calls are excluded)
Set to true to include the session status (resolved/unresolved) and AI state (skill type, trail)
